## rust-hickory-proto 0.24.0

=== debian/changelog ===
rust-hickory-proto (0.24.0-1) unstable; urgency=medium

  * Package hickory-proto 0.24.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Mon, 15 Jan 2024 20:31:46 +0100
