=== debian/control ===
Source: rust-hickory-proto
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.67.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~) <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-data-encoding-2+default-dev (>= 2.2.0-~~) <!nocheck>,
 librust-enum-as-inner-0.4+default-dev <!nocheck>,
 librust-futures-channel-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-futures-io-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-idna-0.4+default-dev <!nocheck>,
 librust-ipnet-2+default-dev (>= 2.3.0-~~) <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.18.0-~~) <!nocheck>,
 librust-rand-0.8+default-dev <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
 librust-tinyvec-1+alloc-dev (>= 1.1.1-~~) <!nocheck>,
 librust-tinyvec-1+default-dev (>= 1.1.1-~~) <!nocheck>,
 librust-tokio-1+io-util-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+net-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+rt-multi-thread-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+time-dev (>= 1.21-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~) <!nocheck>,
 librust-url-2+default-dev (>= 2.4.0-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-proto]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-proto
Homepage: https://hickory-dns.org/
X-Cargo-Crate: hickory-proto
Rules-Requires-Root: no

Package: librust-hickory-proto-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~),
 librust-backtrace-0.3+default-dev (>= 0.3.50-~~),
 librust-bytes-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-data-encoding-2+default-dev (>= 2.2.0-~~),
 librust-enum-as-inner-0.4+default-dev,
 librust-futures-channel-0.3+std-dev (>= 0.3.5-~~),
 librust-futures-io-0.3+std-dev (>= 0.3.5-~~),
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
 librust-h2-0.3+default-dev,
 librust-h2-0.3+stream-dev,
 librust-h3-0.0+default-dev,
 librust-h3-quinn-0.0+default-dev,
 librust-http-0.2+default-dev,
 librust-idna-0.4+default-dev,
 librust-ipnet-2+default-dev (>= 2.3.0-~~),
 librust-js-sys-0.3+default-dev (>= 0.3.44-~~),
 librust-native-tls-0.2+default-dev,
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-openssl-0.10+default-dev (>= 0.10.55-~~),
 librust-openssl-0.10+v102-dev (>= 0.10.55-~~),
 librust-openssl-0.10+v110-dev (>= 0.10.55-~~),
 librust-quinn-0.10+log-dev,
 librust-quinn-0.10+runtime-tokio-dev,
 librust-quinn-0.10+tls-rustls-dev,
 librust-rand-0.8+default-dev,
 librust-ring-0.17+default-dev,
 librust-ring-0.17+std-dev,
 librust-rustls-0.21+default-dev (>= 0.21.6-~~),
 librust-rustls-0.21+quic-dev (>= 0.21.6-~~),
 librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-~~),
 librust-rustls-pemfile-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-socket2-0.5+all-dev,
 librust-socket2-0.5+default-dev,
 librust-thiserror-1+default-dev (>= 1.0.20-~~),
 librust-tinyvec-1+alloc-dev (>= 1.1.1-~~),
 librust-tinyvec-1+default-dev (>= 1.1.1-~~),
 librust-tokio-1+default-dev (>= 1.21-~~),
 librust-tokio-1+io-util-dev (>= 1.21-~~),
 librust-tokio-1+net-dev (>= 1.21-~~),
 librust-tokio-1+rt-dev (>= 1.21-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.21-~~),
 librust-tokio-1+time-dev (>= 1.21-~~),
 librust-tokio-native-tls-0.3+default-dev,
 librust-tokio-openssl-0.6+default-dev,
 librust-tokio-rustls-0.24+default-dev,
 librust-tokio-rustls-0.24+early-data-dev,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~),
 librust-url-2+default-dev (>= 2.4.0-~~),
 librust-url-2+serde-dev (>= 2.4.0-~~),
 librust-wasm-bindgen-0.2+default-dev (>= 0.2.58-~~)
Provides:
 librust-hickory-proto+backtrace-dev (= ${binary:Version}),
 librust-hickory-proto+bytes-dev (= ${binary:Version}),
 librust-hickory-proto+default-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-proto+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-proto+dnssec-dev (= ${binary:Version}),
 librust-hickory-proto+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-proto+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-proto+h2-dev (= ${binary:Version}),
 librust-hickory-proto+h3-dev (= ${binary:Version}),
 librust-hickory-proto+h3-quinn-dev (= ${binary:Version}),
 librust-hickory-proto+http-dev (= ${binary:Version}),
 librust-hickory-proto+js-sys-dev (= ${binary:Version}),
 librust-hickory-proto+mdns-dev (= ${binary:Version}),
 librust-hickory-proto+native-certs-dev (= ${binary:Version}),
 librust-hickory-proto+native-tls-dev (= ${binary:Version}),
 librust-hickory-proto+openssl-dev (= ${binary:Version}),
 librust-hickory-proto+quinn-dev (= ${binary:Version}),
 librust-hickory-proto+ring-dev (= ${binary:Version}),
 librust-hickory-proto+rustls-dev (= ${binary:Version}),
 librust-hickory-proto+rustls-pemfile-dev (= ${binary:Version}),
 librust-hickory-proto+serde-dev (= ${binary:Version}),
 librust-hickory-proto+serde-config-dev (= ${binary:Version}),
 librust-hickory-proto+socket2-dev (= ${binary:Version}),
 librust-hickory-proto+testing-dev (= ${binary:Version}),
 librust-hickory-proto+text-parsing-dev (= ${binary:Version}),
 librust-hickory-proto+tokio-dev (= ${binary:Version}),
 librust-hickory-proto+tokio-native-tls-dev (= ${binary:Version}),
 librust-hickory-proto+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-proto+tokio-runtime-dev (= ${binary:Version}),
 librust-hickory-proto+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-proto+wasm-bindgen-dev (= ${binary:Version}),
 librust-hickory-proto+wasm-bindgen-crate-dev (= ${binary:Version}),
 librust-hickory-proto-0.24-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+backtrace-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+bytes-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+default-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dnssec-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+h2-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+h3-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+h3-quinn-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+http-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+js-sys-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+mdns-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+native-certs-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+native-tls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+openssl-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+quinn-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+ring-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+rustls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+rustls-pemfile-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+serde-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+serde-config-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+socket2-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+testing-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+text-parsing-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+tokio-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+tokio-native-tls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+tokio-runtime-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+wasm-bindgen-dev (= ${binary:Version}),
 librust-hickory-proto-0.24+wasm-bindgen-crate-dev (= ${binary:Version}),
Description: Hickory DNS is a safe and secure DNS library - Rust source code
 This is the foundational DNS protocol library for all Hickory DNS projects.
 .
 Source code for Debianized Rust crate "hickory-proto"
