## rust-hickory-proto 0.24.1

=== debian/changelog ===
rust-hickory-proto (0.24.1-6) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.1 from crates.io using debcargo 2.7.6
  * Use debian-specific "legacy" feature in h2 package for compatilibity
    with http 0.2 which this package still uses.
  * Tighten dependencies on h3 related crates, since it's likely the
    next upstream version packaged will involve a move to http 1.0.
  * Update overridden control file for switch from debian/compat to
    debhelper-compat build-dependency.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 21 Jan 2025 01:16:34 +0000

rust-hickory-proto (0.24.1-5) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.1 from crates.io using debcargo 2.6.1
  * Fix typo in architecture name.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 26 Aug 2024 01:36:57 +0000

rust-hickory-proto (0.24.1-4) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.1 from crates.io using debcargo 2.6.1
  * Skip most tests on riscv64 due to timeouts.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Aug 2024 16:29:30 +0000

rust-hickory-proto (0.24.1-3) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.1 from crates.io using debcargo 2.6.1
  * Ignore tests which use the internet

 -- James McCoy <jamessan@debian.org>  Sun, 19 May 2024 09:58:24 -0400

rust-hickory-proto (0.24.1-2) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.1 from crates.io using debcargo 2.6.1
  * Build against enum-as-inner 0.6

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 07 May 2024 08:22:33 -0400

rust-hickory-proto (0.24.1-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.1 from crates.io using debcargo 2.6.1
  * Backport fix for test failures due to example.com's IP changing from
    93.184.216.34 to 93.184.215.14

 -- James McCoy <jamessan@debian.org>  Wed, 01 May 2024 12:14:06 -0400

rust-hickory-proto (0.24.0-2) unstable; urgency=medium

  * Package hickory-proto 0.24.0 from crates.io using debcargo 2.6.1
  * Upgrade h2 dependency to 0.4

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 12 Apr 2024 09:17:49 -0400
