=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: rust-hickory-proto
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native <!nocheck>,
  rustc:native (>= 1.67.0) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-async-trait-0.1+default-dev (>= 0.1.43-~~) <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
  librust-data-encoding-2+default-dev (>= 2.2.0-~~) <!nocheck>,
- librust-enum-as-inner-0.4+default-dev <!nocheck>,
+ librust-enum-as-inner-0.6+default-dev <!nocheck>,
  librust-futures-channel-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
  librust-futures-io-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
  librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
@@ -47,14 +47,15 @@
  librust-bytes-1+default-dev,
  librust-cfg-if-1+default-dev,
  librust-data-encoding-2+default-dev (>= 2.2.0-~~),
- librust-enum-as-inner-0.4+default-dev,
+ librust-enum-as-inner-0.6+default-dev,
  librust-futures-channel-0.3+std-dev (>= 0.3.5-~~),
  librust-futures-io-0.3+std-dev (>= 0.3.5-~~),
  librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
- librust-h2-0.3+default-dev,
- librust-h2-0.3+stream-dev,
- librust-h3-0.0+default-dev,
- librust-h3-quinn-0.0+default-dev,
+ librust-h2-0.4+default-dev (>= 0.4.7-~~),
+ librust-h2-0.4+legacy-dev (>= 0.4.7-~~),
+ librust-h2-0.4+stream-dev (>= 0.4.7-~~),
+ librust-h3-0.0.3+default-dev,
+ librust-h3-quinn-0.0.4+default-dev,
  librust-http-0.2+default-dev,
  librust-idna-0.4+default-dev,
  librust-ipnet-2+default-dev (>= 2.3.0-~~),
