## rust-hickory-proto 0.24.3

=== debian/changelog ===
rust-hickory-proto (0.24.3-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.3 from crates.io using debcargo 2.7.8 (Closes: #1095837)
  * Drop disable-env-filter.patch, no longer needed.
  * Update overridden control files.
  * Bump dependency on rustls-native-certs to help britney's autopkgtest scheduler.
  * Add breaks on old version of rust-hickory-resolver.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 12 Mar 2025 08:24:24 +0000

rust-hickory-proto (0.24.2-1) unstable; urgency=medium

  * Package hickory-proto 0.24.2 from crates.io using debcargo 2.7.6
  * Disable rustls-native-certs 0.8 patch for now, Jonas wants to
    handle that transition seperately.
  * Fix Maytham's patches.

  [ Maytham Alsudany ]
  * Team upload.
  * Package hickory-proto 0.24.2 from crates.io using debcargo 2.7.6
  * Patch to upgrade to rustls 0.23, rustls-native-certs 0.8, thiserror 2.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 08 Mar 2025 20:49:28 +0000
