=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native <!nocheck>,
- rustc:native (>= 1.67.0) <!nocheck>,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
+ rustc:native (>= 1.71.1) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-async-trait-0.1+default-dev (>= 0.1.43-~~) <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
@@ -13,14 +13,15 @@
  librust-futures-channel-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
  librust-futures-io-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
  librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
- librust-idna-0.4+default-dev <!nocheck>,
+ librust-idna+default-dev (>= 0.4-~~) <!nocheck>,
  librust-ipnet-2+default-dev (>= 2.3.0-~~) <!nocheck>,
  librust-once-cell-1+default-dev (>= 1.18.0-~~) <!nocheck>,
  librust-rand-0.8+default-dev <!nocheck>,
- librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
+ librust-thiserror-2+default-dev <!nocheck>,
  librust-tinyvec-1+alloc-dev (>= 1.1.1-~~) <!nocheck>,
  librust-tinyvec-1+default-dev (>= 1.1.1-~~) <!nocheck>,
  librust-tokio-1+io-util-dev (>= 1.21-~~) <!nocheck>,
+ librust-tokio-1+macros-dev (>= 1.21-~~) <!nocheck>,
  librust-tokio-1+net-dev (>= 1.21-~~) <!nocheck>,
  librust-tokio-1+rt-dev (>= 1.21-~~) <!nocheck>,
  librust-tokio-1+rt-multi-thread-dev (>= 1.21-~~) <!nocheck>,
@@ -51,13 +52,14 @@
  librust-futures-channel-0.3+std-dev (>= 0.3.5-~~),
  librust-futures-io-0.3+std-dev (>= 0.3.5-~~),
  librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
- librust-h2-0.4+default-dev (>= 0.4.7-~~),
- librust-h2-0.4+legacy-dev (>= 0.4.7-~~),
- librust-h2-0.4+stream-dev (>= 0.4.7-~~),
- librust-h3-0.0.3+default-dev,
- librust-h3-quinn-0.0.4+default-dev,
- librust-http-0.2+default-dev,
- librust-idna-0.4+default-dev,
+ librust-h2-0.4+default-dev,
+ librust-h2-0.4+stream-dev,
+ librust-h3-0.0+default-dev (<< 0.0.7-~~),
+ librust-h3-0.0+default-dev (>= 0.0.6-~~),
+ librust-h3-quinn-0.0+default-dev (<< 0.0.8-~~),
+ librust-h3-quinn-0.0+default-dev (>= 0.0.7-~~),
+ librust-http-1+default-dev,
+ librust-idna+default-dev (>= 0.4-~~),
  librust-ipnet-2+default-dev (>= 2.3.0-~~),
  librust-js-sys-0.3+default-dev (>= 0.3.44-~~),
  librust-native-tls-0.2+default-dev,
@@ -65,33 +67,36 @@
  librust-openssl-0.10+default-dev (>= 0.10.55-~~),
  librust-openssl-0.10+v102-dev (>= 0.10.55-~~),
  librust-openssl-0.10+v110-dev (>= 0.10.55-~~),
- librust-quinn-0.10+log-dev,
- librust-quinn-0.10+runtime-tokio-dev,
- librust-quinn-0.10+tls-rustls-dev,
+ librust-pin-project-lite-0.2+default-dev,
+ librust-quinn-0.11+log-dev,
+ librust-quinn-0.11+runtime-tokio-dev,
+ librust-quinn-0.11+rustls-dev,
  librust-rand-0.8+default-dev,
  librust-ring-0.17+default-dev,
  librust-ring-0.17+std-dev,
- librust-rustls-0.21+default-dev (>= 0.21.6-~~),
- librust-rustls-0.21+quic-dev (>= 0.21.6-~~),
- librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-~~),
- librust-rustls-pemfile-1+default-dev,
+ librust-rustls-0.23+logging-dev,
+ librust-rustls-0.23+ring-dev,
+ librust-rustls-0.23+std-dev,
+ librust-rustls-0.23+tls12-dev,
+ librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-4.1),
+ librust-rustls-pemfile-2+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-socket2-0.5+all-dev,
  librust-socket2-0.5+default-dev,
- librust-thiserror-1+default-dev (>= 1.0.20-~~),
+ librust-thiserror-2+default-dev,
  librust-tinyvec-1+alloc-dev (>= 1.1.1-~~),
  librust-tinyvec-1+default-dev (>= 1.1.1-~~),
  librust-tokio-1+default-dev (>= 1.21-~~),
  librust-tokio-1+io-util-dev (>= 1.21-~~),
+ librust-tokio-1+macros-dev (>= 1.21-~~),
  librust-tokio-1+net-dev (>= 1.21-~~),
  librust-tokio-1+rt-dev (>= 1.21-~~),
  librust-tokio-1+rt-multi-thread-dev (>= 1.21-~~),
  librust-tokio-1+time-dev (>= 1.21-~~),
  librust-tokio-native-tls-0.3+default-dev,
  librust-tokio-openssl-0.6+default-dev,
- librust-tokio-rustls-0.24+default-dev,
- librust-tokio-rustls-0.24+early-data-dev,
+ librust-tokio-rustls-0.26+early-data-dev,
  librust-tracing-0.1+default-dev (>= 0.1.30-~~),
  librust-url-2+default-dev (>= 2.4.0-~~),
  librust-url-2+serde-dev (>= 2.4.0-~~),
@@ -176,6 +181,8 @@
  librust-hickory-proto-0.24+tokio-rustls-dev (= ${binary:Version}),
  librust-hickory-proto-0.24+wasm-bindgen-dev (= ${binary:Version}),
  librust-hickory-proto-0.24+wasm-bindgen-crate-dev (= ${binary:Version}),
+Breaks:
+ librust-hickory-resolver-dev (<< 0.24.4)
 Description: Hickory DNS is a safe and secure DNS library - Rust source code
  This is the foundational DNS protocol library for all Hickory DNS projects.
  .
