## rust-hickory-proto 0.24.4

=== debian/changelog ===
rust-hickory-proto (0.24.4-4.1) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.4 from crates.io using debcargo 2.7.8
  * Add upstream patch to set socket to nonblocking mode before passing it
    to tokio.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 16 Aug 2025 19:50:10 +0000

rust-hickory-proto (0.24.4-4) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.4 from crates.io using debcargo 2.7.8
  * Revert previous upload (intended for experimental)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 12 Jul 2025 15:38:56 +0000

rust-hickory-proto (0.24.4-3) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.4 from crates.io using debcargo 2.7.8
  * Enable patch for rustls-native-certs 0.8.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 12 Jul 2025 14:41:01 +0000

rust-hickory-proto (0.24.4-2) unstable; urgency=medium

  * Team upload.
  * Use debcargo option test_architecture to disable most tests for riscv64,
  only test for the default feature (_it_ doesn't work.)

 -- Blair Noctis <ncts@debian.org>  Mon, 31 Mar 2025 10:04:11 +0000

rust-hickory-proto (0.24.4-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-proto 0.24.4 from crates.io using debcargo 2.7.8
  * Drop outdated upgrade-ring.patch
  * Fix feature gate for hickory-server (crate::rr::dnssec::KeyFormat)
  * Drop manual d/control and d/tests/control to see if they work

 -- Blair Noctis <ncts@debian.org>  Fri, 28 Mar 2025 20:52:01 +0000
