=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-proto]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-proto
 Homepage: https://hickory-dns.org/
@@ -78,7 +78,7 @@
  librust-rustls-0.23+ring-dev,
  librust-rustls-0.23+std-dev,
  librust-rustls-0.23+tls12-dev,
- librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-4.1),
+ librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-~~),
  librust-rustls-pemfile-2+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -141,6 +141,46 @@
  librust-hickory-proto+tokio-rustls-dev (= ${binary:Version}),
  librust-hickory-proto+wasm-bindgen-dev (= ${binary:Version}),
  librust-hickory-proto+wasm-bindgen-crate-dev (= ${binary:Version}),
+ librust-hickory-proto-0-dev (= ${binary:Version}),
+ librust-hickory-proto-0+backtrace-dev (= ${binary:Version}),
+ librust-hickory-proto-0+bytes-dev (= ${binary:Version}),
+ librust-hickory-proto-0+default-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-h3-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-https-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-https-rustls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-native-tls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-openssl-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-quic-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-rustls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dns-over-tls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dnssec-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dnssec-openssl-dev (= ${binary:Version}),
+ librust-hickory-proto-0+dnssec-ring-dev (= ${binary:Version}),
+ librust-hickory-proto-0+h2-dev (= ${binary:Version}),
+ librust-hickory-proto-0+h3-dev (= ${binary:Version}),
+ librust-hickory-proto-0+h3-quinn-dev (= ${binary:Version}),
+ librust-hickory-proto-0+http-dev (= ${binary:Version}),
+ librust-hickory-proto-0+js-sys-dev (= ${binary:Version}),
+ librust-hickory-proto-0+mdns-dev (= ${binary:Version}),
+ librust-hickory-proto-0+native-certs-dev (= ${binary:Version}),
+ librust-hickory-proto-0+native-tls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+openssl-dev (= ${binary:Version}),
+ librust-hickory-proto-0+quinn-dev (= ${binary:Version}),
+ librust-hickory-proto-0+ring-dev (= ${binary:Version}),
+ librust-hickory-proto-0+rustls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+rustls-pemfile-dev (= ${binary:Version}),
+ librust-hickory-proto-0+serde-dev (= ${binary:Version}),
+ librust-hickory-proto-0+serde-config-dev (= ${binary:Version}),
+ librust-hickory-proto-0+socket2-dev (= ${binary:Version}),
+ librust-hickory-proto-0+testing-dev (= ${binary:Version}),
+ librust-hickory-proto-0+text-parsing-dev (= ${binary:Version}),
+ librust-hickory-proto-0+tokio-dev (= ${binary:Version}),
+ librust-hickory-proto-0+tokio-native-tls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+tokio-openssl-dev (= ${binary:Version}),
+ librust-hickory-proto-0+tokio-runtime-dev (= ${binary:Version}),
+ librust-hickory-proto-0+tokio-rustls-dev (= ${binary:Version}),
+ librust-hickory-proto-0+wasm-bindgen-dev (= ${binary:Version}),
+ librust-hickory-proto-0+wasm-bindgen-crate-dev (= ${binary:Version}),
  librust-hickory-proto-0.24-dev (= ${binary:Version}),
  librust-hickory-proto-0.24+backtrace-dev (= ${binary:Version}),
  librust-hickory-proto-0.24+bytes-dev (= ${binary:Version}),
@@ -181,9 +221,5 @@
  librust-hickory-proto-0.24+tokio-rustls-dev (= ${binary:Version}),
  librust-hickory-proto-0.24+wasm-bindgen-dev (= ${binary:Version}),
  librust-hickory-proto-0.24+wasm-bindgen-crate-dev (= ${binary:Version}),
-Breaks:
- librust-hickory-resolver-dev (<< 0.24.4)
-Description: Hickory DNS is a safe and secure DNS library - Rust source code
- This is the foundational DNS protocol library for all Hickory DNS projects.
- .
- Source code for Debianized Rust crate "hickory-proto"
+ librust-hickory-proto-0.24.4-dev (= ${binary:Version}),
+ librust-hickory-proto-0.24.4+backtrace-dev (= ${binary:Version}),
