=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-proto 0.24.4 --all-targets --all-features
Features: test-name=rust-hickory-proto:@
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-openssl-0.10+default-dev (>= 0.10.55-~~), librust-openssl-0.10+v102-dev (>= 0.10.55-~~), librust-openssl-0.10+v110-dev (>= 0.10.55-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tokio-1+time-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-proto 0.24.4 --all-targets --no-default-features --features backtrace
Features: test-name=librust-hickory-proto-dev:backtrace
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-openssl-0.10+default-dev (>= 0.10.55-~~), librust-openssl-0.10+v102-dev (>= 0.10.55-~~), librust-openssl-0.10+v110-dev (>= 0.10.55-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tokio-1+time-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-proto 0.24.4 --all-targets --no-default-features --features bytes
Features: test-name=librust-hickory-proto-dev:bytes
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-openssl-0.10+default-dev (>= 0.10.55-~~), librust-openssl-0.10+v102-dev (>= 0.10.55-~~), librust-openssl-0.10+v110-dev (>= 0.10.55-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tokio-1+time-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-proto 0.24.4 --all-targets
Features: test-name=librust-hickory-proto-dev:default
